--
-- $Id$
--
-- Verkoopfacturen die op 29 november aangemaakt zijn verwijderen.

DEFINE thisfile = 'PCHE#38591.SQL'
DEFINE dbuser   = '^PCHE'
DEFINE custid   = 'PCHE'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

DELETE fin_verkoopfactuur
 WHERE TO_CHAR (fin_verkoopfactuur_aanmaak, 'yyyy-mm-dd') = '2016-11-29';


DELETE fin_verkoopfactuurkop vk
 WHERE NOT EXISTS (SELECT fin_verkoopfactuurkop_key
                     FROM fin_verkoopfactuur v
                    WHERE vk.fin_verkoopfactuurkop_key = v.fin_verkoopfactuurkop_key);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

--@@ &custid